---
title: "The Journey Begins Again"
meta_title: ""
description: "First Blog Post"
date: 2025-03-23T05:00:00Z
image: "/images/blog-posts/pendulum.jpg"
categories: ["Technology", "Data"]
author: "Kevin Riordan"
tags: ["blog", "announcement"]
draft: false
---

## Mission

This is a journey about reducing cloud dependency, creating simple manageable solutions, reducing fixed costs, and making free and open source software (FOSS) mainstream. Our mission is to help people get a grasp of their tech stack while simultaneously educating the public on why privacy matters. 

## Cloud Pendulum

Cloud migration began in earnest in the mid-to-late 2000s, driven by the launch of major cloud platforms like Amazon Web Services (AWS) in 2006, followed by Microsoft Azure in 2010 and Google Cloud Platform in 2008. This was due to the promise that you could save costs, simplify your devops, improve security, and improve your site reliability. While that may have been true at the time, technology and supporting software has come a long way since then, and the complexity of the cloud has increased dramatically. The pendulum has swung so far away from the initial promise that companies now need dedicated employees to manage their cloud deployment. Hybrid deployments have an order of magnitude more complexity. Putting complexity aside, cost for basic resources has exploded. Organizations are [paying 1.6x the entire cost of the storage resources every month!](https://tailscale.com/blog/living-in-the-future#hard-disks-are-about-100x-bigger "Living in the future, by the numbers"). Fear and the status quo have kept organizations from migrating away from this structure. When outsouring costs more than insourcing or vertical integration it is time to reevaluate.

New tools such as Tailscale coupled with the broad support of containerization means we can redefine what a virtual private cloud (VPC) means. Organizations can now agnostically seek the lowest cost hardware or hosting platform while abstracting much of the complexity down layer 3 of the OSI model. With Tailscale Magic DNS feature this means that these services are truly portable. so portable in fact that you could run theoretically these on a mobile router or cellphone with no fixed IP. Furthermore all of the access between users and services is defined in one simple ACL. In less than one generation people will look back and wonder why we ever did it any other way.

Digital Asset Management is determined to be a leader in this space and help individuals and organizations regain control of their ballooning fixed costs gain autonomy. Furthermore, autonomy means more than self-determination in this instance. It means sovereignty, specifically that we the people will not be beholden to the terms of service or privacy policies that we are all forced to accept.

Cloud service providers (CSPs) like AWS, Microsoft Azure, and Google Cloud can de-platform users by terminating services for violating terms of service, as demonstrated by AWS's 2021 removal of Parler over violent content. This power raises significant concerns about digital rights and free speech, given CSPs' ability to silence entire platforms, compounded by their market dominance—AWS held a 31% share in 2023—leaving few alternatives for affected entities. These incidents fuel ongoing debates about CSPs' role as online gatekeepers and the need for regulatory oversight or decentralized infrastructures to address the imbalance of power in the digital ecosystem.

KPMG wrote an [article](https://kpmg.com/uk/en/home/insights/2023/04/why-a--cloud-exit-strategy--is-essential-to-enable-the-future.html) about why it essential to have a cloud exit strategy. However they were ignorant of the fact that switching between the big 3 is a basic shell game with the same fundamental flaws. Politics aside, they [clearly have demonstrated](https://techcrunch.com/2021/01/16/this-week-in-apps-parler-deplatformed-alt-apps-rise-looking-back-at-2020-trends/) the ability to move in concert against users. This is all summarized nicely in a wired article, ["The Beginning of the end of big tech"](https://www.wired.com/story/the-beginning-of-the-end-of-big-tech/)

It's time for the REAL cloud exit strategy. A strategy where everyone can vertically integrate and be their own cloud service provider. Tailscale calls it the ["New Internet"](https://tailscale.com/blog/new-internet). The crypto community refers to it as Web 3.0. We call it DAM Sovereignty and are eager to liberate the masses.

## Software Pendulum

In 2011 Marc Andreesen, tech mogul and founder of Netscape, famously stated that [“software is eating the world”](https://a16z.com/why-software-is-eating-the-world/). Sharing many similarities with the cloud pendulum we argue that software is eating software. Namely Free and Open Source Software is eating Software. With AI dramatically lowering the bar to develop software the gravy train of SaaS is coming to end.

## Tech Stack

To remain true the DAM Promise we will build in public with full transparency. 

### Current Site Tech Stack

- Static Site: Hugo
- Static Site Template: HugoPlate
- Hosting Solution: GMTek NUC
- Form: Formspree (temporary)
- Tailscale w/ Headscale: Dev Pipelines
- Gitea: Version Control
- Synology: Back up solution

### Future Plans

#### Forms

Formspree handling the forms is a temporary solution to get get basic site functionality and deploy quickly. While this service's privacy policy is not fully inline with the DAM Promise, It did allow for a rapid deployment and to get of the ground. Going forward we plan to swap out Formspree for self-hosted instance of Formbricks.

### Comments

HugoPlate provides a third-party integration with Disqus out of the box. Because this is a paid service that is not FOSS and available for self hosting and not a critical feature. We have unfortunately decided to forgo comments on this site until we have evaluated a suitable replacement.

#### Roadmap

In addition to a base static site we are planning to launch a library of Tailscale ready FOSS. At first to get deployed quickly we will be configuring the services for deployment with the [docker sidecar](https://tailscale.com/blog/docker-tailscale-guide "Contain your excitement: A deep dive into using Tailscale with Docker"). The first iteration of this library will contain a docker compose file ready to be deployed to your environment with a simple `docker-compose up -d` command. This solution does not directly integrate Tailscale with the service but provides a simple way for us to get these services deployed especially in the case of a multi container service. All of these Tailscale ready deployments will be hosted on our own instance of a Gitea. The library will be searchable through an Appsmith site where all of the services will be categorized and easily searchable. As an honorable mention alot of the initial targeted FOSS will come from the great work done by [linuxserve.io](https://docs.linuxserver.io/images-by-category/ "Images by Category")

After the library has been built out and the services have been tested with a sidecar we will begin a direct integration of Tailscale by providing custom prebuilt images. These images will have the Tailscale client built directly into a single container. To further bolster the solution we aim to provide rootless fully secured versions of these images for best in class security.

Looking further into the future we aim to provide a retail data market. Big Tech has built massive empires on the backs of our data. As the adage goes, "If its free you are the product". DAM sovereignty means YOU can capture this value instead of sacrificing it for a free product. Why bother sacrificing when that product is available FOSS?

